<?php get_header(); ?>
	<?php if (have_posts()) : ?>
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		
		<?php /* If this is a category archive */ if (is_author()) { ?>
		<h2 class="page-title">Author archive &ldquo; <?php the_post(); echo $authordata->display_name; rewind_posts(); ?> &rdquo;</h2>
	 	<?php }  ?>
		
			
		<?php while (have_posts()) : the_post(); ?>
		
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="post-header">
				<h3><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
				<p>on <?php the_time('F j, Y') ?></p>
			</div>
			
			<?php the_post_thumbnail(array( 150, 150 ), array( 'class' => 'alignleft' )); ?>
			<?php the_content('Read the rest of this entry &raquo;'); ?>
			<?php wp_link_pages('before=<div class="post-page-links">Page:&after=</div>'); ?>
			
			<div class="post-meta">
				<ul>
                                        <li><?php comments_popup_link('<strong>Leave your comment</strong>', '1 comment', '% comments'); ?></li>
                                        <li><strong>Categorie(s):</strong> <?php the_category(', '); ?> - <?php the_tags('<strong>Tagged as:</strong> ', ', ', ''); ?></li>
					<li><strong>Share on:</strong> <a rel="blank" href="http://twitter.com/home?status=Reading: <?php the_title_attribute(); ?> - <?php the_permalink(); ?>" title="Share us on Twitter"><img src="<?php bloginfo('template_url'); ?>/images/twitter-ico.png" alt="twitter" title="Twitter" /></a>
    
           <a rel="blank" href="http://www.facebook.com/share.php?u=<?php the_permalink(); ?>&amp;t=<?php the_title_attribute(); ?>" title="Share us on Facebook"><img src="<?php bloginfo('template_url'); ?>/images/facebook-ico.png" alt="facebook" title="Facebook" /></a> 
           
           <a rel="blank" href="http://promote.orkut.com/preview?nt=orkut.com&amp;tt=<?php the_title_attribute(); ?>&amp;du=<?php the_permalink(); ?>" title="Orkut"><img src="<?php bloginfo('template_url'); ?>/images/orkut-ico.png" alt="orkut" title="Orkut" /></a> 
           
           <a rel="blank" href="http://digg.com/submit?phase=2&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Share us on Digg"><img src="<?php bloginfo('template_url'); ?>/images/digg-ico.png" alt="digg" title="Digg" /></a> 
           
           <a rel="blank" href="http://delicious.com/post?url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Share us on Delicio.us"><img src="<?php bloginfo('template_url'); ?>/images/delicious-ico.png" alt="delicious" title="Delicious" /></a> 
           
           <a rel="blank" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Linked In">
           <img src="<?php bloginfo('template_url'); ?>/images/linkedin-ico.png" alt="linkedin" title="Linked In" />
           </a>

           <a rel="blank" href="http://www.stumbleupon.com/submit?url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Share us on Stumbleupon">
           <img src="<?php bloginfo('template_url'); ?>/images/stumble-ico.png" alt="stumbleupon" title="Stumbleupon" /> </a>
           
           <a rel="blank" href="http://reddit.com/submit?url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Share us on Reddit">
           <img src="<?php bloginfo('template_url'); ?>/images/reddit-ico.png" alt="reddit" title="Reddit" />
           </a></li>
					<?php edit_post_link('Edit this post', '<li>', '</li>'); ?>
				</ul>
			</div>
		</div>

		<?php endwhile; ?>
		
		<?php if (show_posts_nav()) : ?>
		
		<div class="post-navigation">
			<ul>
				<li><?php next_posts_link('&laquo; Previous page') ?></li>
				<li><?php previous_posts_link('Next page &raquo;') ?></li>
			</ul>
		</div>
		
		<?php endif; ?>
		
	<?php else : ?>

	<h2 class="page-title">Nothing found</h2>
	<p>There are not posts belonging to this category or tag. Try searching below:</p>
	<?php get_search_form(); ?>
	
	<?php endif; ?>

	</div>
	
	<hr />
	
<?php get_sidebar(); ?>
<?php get_footer(); ?>
