<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
	
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<title><?php wp_title( '&raquo;', true, 'right' ); bloginfo( 'name' ); if (is_home() ) { echo " - "; echo bloginfo( 'description' ); } ?></title>
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<!--[if lt IE 8]>
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/ie-fixes.css" type="text/css" media="screen" />
	<![endif]-->	
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico" />

        <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/apis/colorbox/colorbox.css" type="text/css" media="screen" />      

        <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
        <script type="text/javascript" src="<?php bloginfo('template_url'); ?>/apis/colorbox/jquery.colorbox-min.js"></script>
	<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/init.js"></script>

	<?php wp_head(); ?>
        
        <meta name="y_key" content="778d4abaa9b45f35" />

</head>

<body <?php body_class(); ?>>

<div id="wrapper">	
	<div id="header-wrapper">
		<div id="nav">
			<ul>
                                <li class="page_item page-item-0"><a title="Home" href="<?php bloginfo('url'); ?>">Home</a></li>
				<?php wp_list_pages('title_li='); ?>
                                <li class="page_item page-item-9"><a title="Contact us" href="http://pottato.com/contato">Contact</a></li>
			</ul>
		</div>
		
		<div id="header">
			<h1><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
		</div>
	</div>
	
	<hr />
	
	<div id="content">