<?php get_header(); ?>
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
		
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="post-header">
				<h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<p>by <a href="<?php echo get_author_posts_url( $auth ); ?><?php the_author_meta('user_login'); ?>" title="View all posts by '<?php the_author_meta('nickname'); ?>'"><?php the_author_meta('nickname'); ?></a> on <?php the_time('F j, Y') ?></p>
			</div>
			
			<?php the_content('Read the rest of this entry &raquo;'); ?>
			<?php wp_link_pages('before=<div class="post-page-links">Page:&after=</div>'); ?>
			
			<div class="post-meta">
				<ul>
                                        <li><?php comments_popup_link('<strong>Leave your comment</strong>', '1 comment', '% comments'); ?></li>
                                        <li><strong>Categorie(s):</strong> <?php the_category(', '); ?> - <?php the_tags('<strong>Tagged as:</strong> ', ', ', ''); ?></li>
					<li><strong>Share on:</strong> <a rel="blank" href="http://twitter.com/home?status=Reading: <?php the_title_attribute(); ?> - <?php the_permalink(); ?>" title="Share us on Twitter"><img src="<?php bloginfo('template_url'); ?>/images/twitter-ico.png" alt="twitter" title="Twitter" /></a>
    
           <a rel="blank" href="http://www.facebook.com/share.php?u=<?php the_permalink(); ?>&amp;t=<?php the_title_attribute(); ?>" title="Share us on Facebook"><img src="<?php bloginfo('template_url'); ?>/images/facebook-ico.png" alt="facebook" title="Facebook" /></a> 
           
           <a rel="blank" href="http://promote.orkut.com/preview?nt=orkut.com&amp;tt=<?php the_title_attribute(); ?>&amp;du=<?php the_permalink(); ?>" title="Orkut"><img src="<?php bloginfo('template_url'); ?>/images/orkut-ico.png" alt="orkut" title="Orkut" /></a> 
           
           <a rel="blank" href="http://digg.com/submit?phase=2&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Share us on Digg"><img src="<?php bloginfo('template_url'); ?>/images/digg-ico.png" alt="digg" title="Digg" /></a> 
           
           <a rel="blank" href="http://delicious.com/post?url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Share us on Delicio.us"><img src="<?php bloginfo('template_url'); ?>/images/delicious-ico.png" alt="delicious" title="Delicious" /></a> 
           
           <a rel="blank" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Linked In">
           <img src="<?php bloginfo('template_url'); ?>/images/linkedin-ico.png" alt="linkedin" title="Linked In" />
           </a>

           <a rel="blank" href="http://www.stumbleupon.com/submit?url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Share us on Stumbleupon">
           <img src="<?php bloginfo('template_url'); ?>/images/stumble-ico.png" alt="stumbleupon" title="Stumbleupon" /></a>
           
           <a rel="blank" href="http://reddit.com/submit?url=<?php the_permalink(); ?>&amp;title=<?php the_title_attribute(); ?>" title="Share us on Reddit">
           <img src="<?php bloginfo('template_url'); ?>/images/reddit-ico.png" alt="reddit" title="Reddit" />
           </a>
</li>
					<?php edit_post_link('Edit this post', '<li>', '</li>'); ?>
				</ul>
			</div>
		</div>

		<?php endwhile; ?>
		
	<?php else : ?>
		
		<div class="post">
			<div class="post-header">
				<h2 class="page-title">Not Found</h2>
				<p>Sorry, but you are looking for something that isn't here.</p>
			</div>
		</div>
	</div>

	<?php endif; ?>

	<?php comments_template(); ?>
	<?php get_sidebar(); ?>
	<?php get_footer(); ?>
